Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 196876

Summary: Upgrade rhythmbox to new upstream version 0.9.5
Product: [Fedora] Fedora Reporter: Jean-Francois Saucier <jf_saucier>
Component: rhythmboxAssignee: Alexander Larsson <alexl>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5CC: alexl, andre.ocosta, peter, psychotrauma, redhat, tmz
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://ftp.gnome.org/pub/GNOME/sources/rhythmbox/0.9/rhythmbox-0.9.5.tar.bz2
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-24 15:52:21 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 182226, 194326    
Attachments:
Description Flags
Patch for SPEC to compile on FC5
none
Spec file that actually builds 0.9.6 on FC-5 none

Description Jean-Francois Saucier 2006-06-27 14:08:56 UTC
Description of problem:

Upgrade to most recent version of rhythmbox, which fix some bugs that have been
reported here.

Fix some bugs : 
- podcast feed parsing and download fixes
- handle iPods that have been repartitioned
- allow ipod renaming, ejection, deletion and transfer
- etc, etc

Comment 1 Alex Lancaster 2006-09-07 12:35:15 UTC
Yes, please!  This is long overdue.  There are some major bugs that it fixes,
including crashing on certain podcast feeds with missing <pubDate> tags, see:
bug #194326, which are fixed upstream.

Comment 2 PsychoTrauma 2006-09-14 22:55:15 UTC
I would also like to see an newer version since that would most likely fix the
problems i'm having with streaming music. Rhythmbox will play the stream but at
the start on a new song it hangs every time.

Thank you Monty for all your hard work.

Comment 3 Andre Costa 2006-10-02 22:01:03 UTC
Make that 0.9.6: http://gnomefiles.org/app.php/Rhythmbox. Lots of additional
features and fixes as well...

Comment 4 Asgeir Nilsen 2006-10-05 13:45:34 UTC
0.9.5 is in the fc5 development tree, but a rebuild on fc5 fails due to a number
of build dependencies:

        nautilus-cd-burner-devel >= 2.15.3 is needed by rhythmbox-0.9.5-4.i386
        totem-devel >= 1.1.5 is needed by rhythmbox-0.9.5-4.i386
        avahi-glib-devel >= 0.6 is needed by rhythmbox-0.9.5-4.i386
        libmusicbrainz-devel >= 2.1.0 is needed by rhythmbox-0.9.5-4.i386
        dbus-devel >= 0.90 is needed by rhythmbox-0.9.5-4.i386
        dbus-glib-devel >= 0.70 is needed by rhythmbox-0.9.5-4.i386

I didn't want to try installing the binary from dev, as it depends on what seems
like half the repository..

Are there specific reasons for these increased dependencies?

Comment 5 Asgeir Nilsen 2006-10-05 14:02:17 UTC
Created attachment 137820 [details]
Patch for SPEC to compile on FC5

I tried a second run for getting 0.9.5-4 from fc6 development to build, and got
a successful build.  Rhythmbox starts up just fine, but I haven't done any
rigorous testing on it yet.

Comment 6 Alex Lancaster 2006-10-06 21:11:57 UTC
I think the requirements in the -devel spec file are more rigourous than
necessary, so they could certainly be dropped down to the currently released
FC-5 versions.  I've been building rhythmbox from CVS with the following devel
packages:

$ rpm -q nautilus-cd-burner-devel totem-devel avahi-glib-devel
libmusicbrainz-devel dbus-devel dbus-glib-devel
nautilus-cd-burner-devel-2.14.3-1.fc5
totem-devel-1.4.1-1
avahi-glib-devel-0.6.10-1.FC5
libmusicbrainz-devel-2.1.1-2.1
dbus-devel-0.61-3.fc5.1
package dbus-glib-devel is not installed

(don't seem to need the dbus-glib-devel package, to build from CVS)

Comment 7 Alex Lancaster 2006-10-06 22:31:38 UTC
Created attachment 137958 [details]
Spec file that actually builds 0.9.6 on FC-5

* Mon Oct 6 2006 Alex Lancaster <alexl@users.sourceforge.net> - 0.9.6-1.fc5
- update to 0.9.6
- backport to FC-5
- drop patches that are fixed and/or conflict with upstream
- don't include application-registry and mime-info, aren't generated upstream

Comment 8 Asgeir Nilsen 2006-10-11 13:54:51 UTC
This spec worked perfectly on my FC5 installation, and I suggest this to be
promoted to fc5 updates-testing.

Comment 9 Alex Lancaster 2006-11-02 21:37:10 UTC
Ping?  Please upgrade this soon as it will stop these podcast bugs being
reported on FC-5 upstream.

Comment 10 Alexander Larsson 2006-11-21 09:56:28 UTC
I think we want to solve the libgpod upgrade issue in bug 211648 first.

Comment 11 Alex Lancaster 2007-01-24 00:55:54 UTC
Can a rhythmbox 0.9.7/libgpod 0.4.2 be pushed for FC-5 too as per bug #218277 ?
 I believe that FC-5 is not EOL-ed yet... ;)

Comment 12 Alexander Larsson 2007-01-24 15:52:21 UTC
I've got way to much to do to spend time on not-so-critical FC5 issues. Sorry
about that.

Comment 13 Asgeir Nilsen 2007-01-24 16:32:33 UTC
(In reply to comment #11)
> Can a rhythmbox 0.9.7/libgpod 0.4.2 be pushed for FC-5 too as per bug #218277 ?
>  I believe that FC-5 is not EOL-ed yet... ;)

0.9.5 works just fine for me, built with the patched spec mentioned above.  If
you depend on a newer libgpod I suggest you try to update that also.